<sqtm-core-creation-dialog
  (add)="addEntity()"
  (addAnother)="addAnother()"
  [asyncTaskRunning]="loading$ | async"
  [attr.data-test-dialog-id]="'add-info-list-item'"
>
  <div class="m-10" [formGroup]="formGroup">
    <div class="sqtm-core-dialog-form">
      <label class="label label__align_right">{{
        'sqtm-core.administration-workspace.info-lists.dialog.message.new-item'
          | translate
      }}</label>
      <sqtm-core-text-field
        [initialFocus]="true"
        [formGroup]="formGroup"
        [fieldName]="'label'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-text-field>
      <label class="label label__align_right">{{
        'sqtm-core.generic.label.code' | translate
      }}</label>
      <sqtm-core-text-field
        [formGroup]="formGroup"
        [fieldName]="'code'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-text-field>

      <label class="label label__align_right">{{
        'sqtm-core.entity.info-list-item.icon.label' | translate
      }}</label>
      <sqtm-core-icon-picker-field
        class="left-aligned"
        [icons]="infoListIcons"
        [icon]="icon"
        (iconChanged)="changeIcon($event)"
        [attr.data-test-field-name]="'icon'"
      >
      </sqtm-core-icon-picker-field>

      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.color.label' | translate
      }}</label>
      <sqtm-core-color-picker-select-field
        class="left-aligned m-t-5"
        [color]="color"
        (colorChanged)="changeColor($event)"
      >
      </sqtm-core-color-picker-select-field>
    </div>
  </div>
</sqtm-core-creation-dialog>
